package org.enfi.modules.demo.test.service;

import org.enfi.common.system.base.service.EnFiService;
import org.enfi.modules.demo.test.entity.EnFiDemo;

import com.baomidou.mybatisplus.core.metadata.IPage;

/**
 * @Description: enfi 测试demo
 * @Author: enfi-boot
 * @Date:  2018-12-29
 * @Version: V1.0
 */
public interface IEnFiDemoService extends EnFiService<EnFiDemo> {
	
	public void testTran();
	
	public EnFiDemo getByIdCacheable(String id);
	
	/**
	 * 查询列表数据 在service中获取数据权限sql信息
	 * @param pageSize
	 * @param pageNo
	 * @return
	 */
	IPage<EnFiDemo> queryListWithPermission(int pageSize,int pageNo);

	/**
	 * 根据用户权限获取导出字段
	 * @return
	 */
	String getExportFields();
}
